Page MenuHomePhabricator

Mark CR0 Live if PPCInstrInfo::optimizeCompareInstr Creates a Use of CR0
ClosedPublic

Authored by tjablin on Apr 7 2016, 5:54 PM.

Details

Summary

Resolve Bug 27046 (https://llvm.org/bugs/show_bug.cgi?id=27046). The PPCInstrInfo::optimizeCompareInstr function could create a new use of CR0, even if CR0 were previously dead. This patch marks CR0 live if a use of CR0 is created.

Diff Detail

Event Timeline

tjablin updated this revision to Diff 52987.Apr 7 2016, 5:54 PM
tjablin retitled this revision from to Mark CR0 Live if PPCInstrInfo::optimizeCompareInstr Creates a Use of CR0.
tjablin updated this object.
tjablin added reviewers: hfinkel, kbarton, cycheng.
tjablin added a subscriber: llvm-commits.
kbarton accepted this revision.Apr 8 2016, 8:58 AM
kbarton edited edge metadata.

LGTM

This revision is now accepted and ready to land.Apr 8 2016, 8:58 AM
cycheng closed this revision.Apr 11 2016, 8:18 PM
cycheng edited edge metadata.

Committed r266040
(On behalf of Tom)